/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cnam.webProj;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author rosmord
 */
@Stateless
public class CounterService {
    @PersistenceContext
    private EntityManager em;
    
    public int getCounterValue() {
        Counter c= getCounter();
        return c.getValue();
    }

    public void increase() {
        getCounter().increase();
    }
    
    private Counter getCounter() {
        Counter c= em.find(Counter.class, 1L);
        if (c==null) {
             c= new Counter(1,0);
            em.persist(c);
        }
        return c;
    }
    
}
