package cnam.webProj;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.validation.constraints.Size;

@ManagedBean
@RequestScoped
public class CreatePersonneBean {
    @EJB
    PersonneService service;
            
    @Size(min = 1)
    private String nom;
    @Size(min=1)
    private String prenom;

    public CreatePersonneBean() {
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }
    
    
    public String save() {
        Personne p= new Personne(nom, prenom);
        service.save(p);
        return "listPersonne";
    }
}
