package cnam.webProj;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class PersonneService {
    @PersistenceContext
    EntityManager em;
    
    public void save(Personne p) {
        em.persist(p);
        em.flush();
    }

    public List<Personne> findAll() {
        return em.createQuery("select p from Personne p", Personne.class).getResultList();
    }
}
